import React from 'react';
import HistoryView from '../index';
import { MobileHistoryChart } from "../mobile";

const deviceParams = [
    /*10.182*/
/*         {
            "deviceCode": "EGBF00000136",
            "sensors": "进水压力,出水压力,出水瞬时流量,今日供水量,1#水箱液位,视频报警",
            // "sensors": "视频报警",
            "deviceType": "二供泵房"
        },*/
/*        {
            "deviceCode": "EGJZ00000158",
            // "sensors": "进水压力,出水压力,泵1状态",
            "sensors": "进水压力",
            // "sensors": "泵1状态",
            "deviceType": "二供机组"
        } */
/*              {
                    deviceCode: 'EGBF00000141',
                    // sensors: '进水压力,出水瞬时流量,出水累计流量',
                    sensors: '进水压力',
                    deviceType: '熊猫二供泵房',
                    pointAddressID: 208,
                },*/
/*     {
        "deviceCode": "SYJ00000008",
        "sensors": "瞬时流量",
        "deviceType": "水源井"
    },*/
/*    {
        deviceCode: 'EGJZ00000197',
        sensors: '进水压力,出水压力,出水瞬时流量,出水累计流量',
        // sensors: '1#变频器运行频率',
        deviceType: '二供机组',
        // pointAddressID: 208,
    },*/
    /*     {
            deviceCode: 'EGJZ00000198',
            sensors: '进水压力,出水压力,出水瞬时流量,出水累计流量',
            // sensors: '1#变频器运行频率',
            deviceType: '二供机组',
            // pointAddressID: 208,
        }, */
    /*    {
            // deviceCode: 'EGBF00000002',
            // deviceCode: 'EGBF00000018',
            // deviceCode: 'XMYL00000345',
            // deviceCode: 'XMYL00000000',
            deviceCode: 'EGBF00000014',
            // sensors: '今日供水量,今日用电量,1#水箱液位',
            sensors: '进水压力',
            deviceType: '熊猫压力表',
            pointAddressID: 4,
        },*/
    /*     {
            deviceCode: 'EGJZ00000226',
            sensors: '出水压力',
            deviceType: '二供机组',
            pointAddressID: 4,
        }, */
    /*        {
                "deviceCode": "LLJ00000055",
                "sensors": "正累计流量,瞬时流量",
                "deviceType": "流量计"
            }*/
    /*    {
            "deviceCode": "EGJZ00000163",
            "sensors": "进水压力",
            "deviceType": "二供机组"
        }*/
    // 邳州张楼水厂
/*         {
            "deviceCode": "SC00000023",
            "sensors": "瞬时流量",
            "deviceType": "水厂"
        },
        {
            "deviceCode": "JFJ00000001",
            "sensors": "沉淀池投矾量瞬时,",
            "deviceType": "加矾间"
        }, */
       {
            "deviceCode": "QSBF00000001",
            "sensors": "取水浊度",
            "deviceType": "取水泵房"
        },
        {
            "deviceCode": "SC00000023",
            "sensors": "出水瞬时流量",
            "deviceType": "水厂"
        },
        {
            "deviceCode": "XNCDC00000001",
            "sensors": "沉淀池1号进水管流量",
            "deviceType": "絮凝沉淀池"
        },
        {
            "deviceCode": "LLJ00000001",
            "sensors": "瞬时流量",
            "deviceType": "流量计"
        },
/*         {
            deviceCode: 'EGJZ00000027',
            sensors: '2#变频器运行频率',
            deviceType: '二供机组',
        }, */
    /*确山*/
    /*泵3状态*/
/*        {
            // EGJZ00000003
            deviceCode: 'EGJZ00000003',
            // sensors: '3#频率',
            sensors: '出1累计流量',
            deviceType: '二供机组',
        },*/
/*         {
            "deviceCode": "EGBF00000006",
            "sensors": "出1累计流量",
            "deviceType": "二供泵房"
        }*/
];

const Demo = () => {
    return (
        <>
            <div>
                <div style={{ height: 700 }}>
                    <HistoryView deviceParams={deviceParams} defaultModel="table" />
                </div>
            </div>
        </>
    );
};

export default Demo;
